
<a id="podlove-class-podcast"></a>

#### Podcast



<table>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.subtitle
                </code>
            </td>
            <td>
                <strong>
                    Subtitle
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.summary
                </code>
            </td>
            <td>
                <strong>
                    Summary
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.imageUrl
                </code>
            </td>
            <td>
                <strong>
                    Image URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.authorName
                </code>
            </td>
            <td>
                <strong>
                    Author name
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.ownerName
                </code>
            </td>
            <td>
                <strong>
                    Owner name
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.ownerEmail
                </code>
            </td>
            <td>
                <strong>
                    Owner email
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.publisherName
                </code>
            </td>
            <td>
                <strong>
                    Publisher name
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.publisherUrl
                </code>
            </td>
            <td>
                <strong>
                    Publisher URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.landingPageUrl
                </code>
            </td>
            <td>
                <strong>
                    Podcast Home URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.episodes
                </code>
            </td>
            <td>
                <strong>
                    Episodes
                </strong>
                {% capture tmp %}Filter and order episodes with parameters:

- post_id: one episode matching the given post id
- post_ids: list of episodes matching the given list of post ids
- category: list of episodes matching the category slug
- slug: one episode matching the given slug
- slugs: list of episodes matching the given list of slugs
- post_status: Publication status of the post. Defaults to 'publish'
- order: Designates the ascending or descending order of the 'orderby' parameter. Defaults to 'DESC'.
  - 'ASC' - ascending order from lowest to highest values (1, 2, 3; a, b, c).
  - 'DESC' - descending order from highest to lowest values (3, 2, 1; c, b, a).
- orderby: Sort retrieved episodes by parameter. Defaults to 'publicationDate'.
  - 'publicationDate' - Order by publication date.
  - 'recordingDate' - Order by recording date.
  - 'title' - Order by title.
  - 'slug' - Order by episode slug.
 - 'limit' - Limit the number of returned episodes.

**Examples**

Iterate over all published episodes, ordered by publication date.

```
{% raw %}
{% for e in podcast.episodes %}
  {{ e.title }}
{% endfor %}
{% endraw %}
```

Order by title in ascending order.

```
{% raw %}
{% for e in podcast.episodes({orderby: 'title', 'order': 'ASC'}) %}
  {{ e.title }}
{% endfor %}
{% endraw %}
```

Fetch one episode by slug.

```
{% raw %}
{{ podcast.episodes({slug: 'pod001'}).title }}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-episode">{% capture tmp %}episode{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.feeds
                </code>
            </td>
            <td>
                <strong>
                    Feeds
                </strong>
                
                <p>
                        see <a href="#podlove-class-feed">{% capture tmp %}feed{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.license
                </code>
            </td>
            <td>
                <strong>
                    License
                </strong>
                {% capture tmp %}To render an HTML license, use `{% raw %}{% include '@core/license.twig' with {'license': podcast.license} %}{% endraw %}`
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-license">{% capture tmp %}license{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.setting
                </code>
            </td>
            <td>
                <strong>
                    Get a podcast setting.
                </strong>
                {% capture tmp %}Valid namespaces / names:

```
{% raw %}
 website
 	merge_episodes
 	hide_wp_feed_discovery
 	use_post_permastruct
 	custom_episode_slug
 	episode_archive
 	episode_archive_slug
 	url_template
 	ssl_verify_peer
 metadata
 	enable_episode_recording_date
 	enable_episode_explicit
 	enable_episode_license
 redirects
 	podlove_setting_redirect
 tracking
 	mode

{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.contributors
                </code>
            </td>
            <td>
                <strong>
                    List of podcast contributors.
                </strong>
                {% capture tmp %}**Examples**

Iterating over a list of contributors

```jinja
{% raw %}
{% for contributor in podcast.contributors({scope: "podcast"}) %}
	{{ contributor.name }}
	{% if not loop.last %}, {% endif %}
{% endfor %}
{% endraw %}
```

Iterating over a grouped list of contributors

```jinja
{% raw %}
{% for contributorGroup in podcast.contributors({scope: "podcast", groupby: "group"}) %}
	<strong>{{ contributorGroup.group.title }}:</strong> 
	{% for contributor in contributorGroup.contributors %}
		{{ contributor.name }}
		{% if not loop.last %}, {% endif %}
	{% endfor %}
{% endfor %}
{% endraw %}
```

**Parameters**

- **id:**      Fetch one contributor by its id. Ignores all other parameters.
               Example:`{% raw %}podcast.contributors({id: 'james'}).name{% endraw %}`
- **scope:**   Either "global", "global-active" or "podcast".
               - "global" returns all contributors.
               - "global-active" returns all contributors with 
                  at least one contribution in a published episode.
	              - "podcast" returns the contributors configured in podcast settings.
	              Default: "global-active".
- **group:**   filter by group slug. Defaults to "all", which does not filter.
- **role:**    filter by role slug. Defaults to "all", which does not filter.
- **groupby:** group or role slug. Group by "group" or "role".
	              If used, the returned data is has another layer for the groups.
	              See examples for more details.
- **order:**   Designates the ascending or descending order of the 'orderby' parameter. Defaults to 'DESC'.
  - 'ASC' - ascending order from lowest to highest values (1, 2, 3; a, b, c).
  - 'DESC' - descending order from highest to lowest values (3, 2, 1; c, b, a).
- **orderby:** Sort contributors by parameter. Defaults to 'name'.
  - 'name' - Order by public name.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.services
                </code>
            </td>
            <td>
                <strong>
                    List of service profiles
                </strong>
                {% capture tmp %}Parameters:

- **category:** (optional) "social", "donation" or "all". Default: "all"
- **type:**     (optional) Filter services by type. List of all service types: 500px, amazon wishlist, app.net, bandcamp, bitbucket, bitcoin, deviantart, diaspora, dogecoin, dribbble, facebook, flattr, flickr, generic wishlist, github, google+, instagram, jabber, last.fm, linkedin, litecoin, openstreetmap, paypal, miiverse, pinboard, pinterest, playstation network, skype, soundcloud, soup, steam, steam wishlist, thomann wishlist, twitch, tumblr, twitter, website, xbox live, xing, youtube

Example:

```html
{% raw %}
{% for service in podcast.services({category: "social"}) %}
  <a target="_blank" title="{{ service.title }}" href="{{ service.profileUrl }}">
    <img width="32" height="32" src="{{ service.logoUrl }}" class="podlove-contributor-button" alt="{{ service.title }}" />
  </a>
{% endfor %}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    podcast.subscribeButton
                </code>
            </td>
            <td>
                <strong>
                    Podcast Subscribe Button
                </strong>
                {% capture tmp %}**Examples**

```jinja
{% raw %}
{{ podcast.subscribeButton }}
{% endraw %}
```

```jinja
{% raw %}
{{ podcast.subscribeButton({size: 'small', width: '', colors: 'black;;;#ffffff'}) }}
{% endraw %}
```

**Parameters**

- **language:** 'de', 'en' or 'ja'. Defaults to podcast language setting.
- **size:** Size and style of the button ('small', 'medium', 'big', 'big-logo'). Default: 'big-logo'
- **buttonid:** Use this if you want to trigger the button by clicking an element controlled by you. 
If you set the buttonid to "example123", your element must have the class "podlove-subscribe-button-example123".
- **hide:** Set to`{% raw %}true{% endraw %}` if you want to hide the default button element. Useful if you provide your own button via the`{% raw %}buttonid{% endraw %}` setting.
- **colors:** 9 colors, separated by semocolon, can be configured. Any blank color uses the default.

The colors are:

1. buttonBackgroundColor
2. buttonHoverBackgroundColor
3. buttonActiveBackgroundColor
4. buttonTextColor
5. buttonHoverTextColor
6. buttonActiveTextColor
7. buttonBorderColor
8. listHighlightBackgroundColor
9. listHighlightTextColor

**Please Note:** It is not possible to style multiple buttons/popups on the same page differently.

Example color configurations:

- Complete:`{% raw %}#75ad91;#75c39d;#61937b;#ffffff;#ffffff;#ffffff;#456757;#328398;#ffffff{% endraw %}`
- Idle button background and text color:`{% raw %}#75ad91;;;#ffffff{% endraw %}`
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-episode"></a>

#### Episode



<table>
    
        <tr>
            <td valign="top">
                <code>
                    episode.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.subtitle
                </code>
            </td>
            <td>
                <strong>
                    Subtitle
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.summary
                </code>
            </td>
            <td>
                <strong>
                    Summary
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.slug
                </code>
            </td>
            <td>
                <strong>
                    Slug
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.content
                </code>
            </td>
            <td>
                <strong>
                    Post content
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.podcast
                </code>
            </td>
            <td>
                <strong>
                    Podcast
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.player
                </code>
            </td>
            <td>
                <strong>
                    Web Player for the current episode
                </strong>
                {% capture tmp %}The player should not appear in feeds, so embed it like this:

```jinja
{% raw %}
{% if not is_feed() %}
  {{ episode.player }}
{% endif %}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.publicationDate
                </code>
            </td>
            <td>
                <strong>
                    Post publication date
                </strong>
                {% capture tmp %}Uses WordPress datetime format by default or custom format:`{% raw %}{{ episode.publicationDate.format('Y-m-d') }}{% endraw %}`
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-datetime">{% capture tmp %}datetime{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.recordingDate
                </code>
            </td>
            <td>
                <strong>
                    Post recording date
                </strong>
                {% capture tmp %}Uses WordPress datetime format by default or custom format:`{% raw %}{{ episode.recordingDate.format('Y-m-d') }}{% endraw %}`
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-datetime">{% capture tmp %}datetime{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.explicit
                </code>
            </td>
            <td>
                <strong>
                    Explicit status
                </strong>
                {% capture tmp %}"yes", "no" or "clean"
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.url
                </code>
            </td>
            <td>
                <strong>
                    URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.duration
                </code>
            </td>
            <td>
                <strong>
                    Duration Object
                </strong>
                {% capture tmp %}Use`{% raw %}duration{% endraw %}` to display formatted hours, minutes and seconds.
Alternatively, use the duration accessors for custom rendering.
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-duration">{% capture tmp %}duration{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.imageUrl
                </code>
            </td>
            <td>
                <strong>
                    Image URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.imageUrlWithFallback
                </code>
            </td>
            <td>
                <strong>
                    Image URL with fallback
                </strong>
                {% capture tmp %}Returns podcast image if no episode image is available.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.meta
                </code>
            </td>
            <td>
                <strong>
                    Access a single meta value
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.metas
                </code>
            </td>
            <td>
                <strong>
                    Access a list of meta values
                </strong>
                {% capture tmp %}Example:

```html
{% raw %}
<ul>
  {% for meta in episode.metas("mymetakey") %}
    <li>{{ meta }}</li>
  {% endfor %}
</ul>

{% for meta in episode.metas("mymetakey") %}
  {{ meta }}{% if not loop.last %}, {% endif %}
{% endfor %}
{% endraw %}
```
  {% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.tags
                </code>
            </td>
            <td>
                <strong>
                    Access a list of post tags.
                </strong>
                {% capture tmp %}See http://codex.wordpress.org/Function_Reference/wp_get_object_terms#Argument_Options
for a list of available argument options.

Example:

```html
{% raw %}
  {% for tag in episode.tags({order: "ASC", orderby: "count"}) %}
    <a href="{{ tag.url }}">{{ tag.name }} ({{ tag.count }})</a>
  {% endfor %}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.files
                </code>
            </td>
            <td>
                <strong>
                    List of episode files
                </strong>
                
                <p>
                        see <a href="#podlove-class-file">{% capture tmp %}file{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.chapters
                </code>
            </td>
            <td>
                <strong>
                    List of episode chapters
                </strong>
                
                <p>
                        see <a href="#podlove-class-chapter">{% capture tmp %}chapter{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.license
                </code>
            </td>
            <td>
                <strong>
                    License
                </strong>
                {% capture tmp %}To render an HTML license, use`{% raw %}{% include '@core/license.twig' %}{% endraw %}` for
a license with fallback to the podcast license or `{% raw %}{% include '@core/license.twig' with {'license': episode.license} %}{% endraw %}`
for the episode license only.
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-license">{% capture tmp %}license{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    episode.contributors
                </code>
            </td>
            <td>
                <strong>
                    List of episode contributors
                </strong>
                {% capture tmp %}**Examples**

Iterating over a list of contributors

```jinja
{% raw %}
{% for contributor in episode.contributors %}
	{{ contributor.name }}
	{% if not loop.last %}, {% endif %}
{% endfor %}
{% endraw %}
```

Iterating over a grouped list of contributors

```jinja
{% raw %}
{% for contributorGroup in episode.contributors({groupby: "group"}) %}
	<strong>{{ contributorGroup.group.title }}:</strong> 
	{% for contributor in contributorGroup.contributors %}
		{{ contributor.name }}
		{% if not loop.last %}, {% endif %}
	{% endfor %}
{% endfor %}
{% endraw %}
```

**Parameters**

- **id:**      Fetch one contributor by its id. Ignores all other parameters. 
               Returns null if the id belongs to an existing contributor which is not part of the episode. 
               Example:`{% raw %}episode.contributors({id: 'james'}).name{% endraw %}`
- **group:**   group slug. If none is given, show all contributors.
- **role:**    role slug. If none is given, show all contributors.
- **groupby:** group or role slug. Group by "group" or "role".
	         If used, the returned data is has another layer for the groups.
	         See examples for more details.
- **order:**   Designates the ascending or descending order of the 'orderby' parameter. Defaults to 'ASC'.
  - 'ASC' - ascending order from lowest to highest values (1, 2, 3; a, b, c).
  - 'DESC' - descending order from highest to lowest values (3, 2, 1; c, b, a).
- **orderby:** Sort contributors by parameter. Defaults to 'position'.
  - 'position' - Order by the contributors position in the episode.
  - 'comment' - Order by the contributors comment in the episode.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-chapter"></a>

#### Chapter



<table>
    
        <tr>
            <td valign="top">
                <code>
                    chapter.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    chapter.link
                </code>
            </td>
            <td>
                <strong>
                    Link
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    chapter.image
                </code>
            </td>
            <td>
                <strong>
                    Image
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    chapter.time
                </code>
            </td>
            <td>
                <strong>
                    Time
                </strong>
                
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-feed"></a>

#### Feed



<table>
    
        <tr>
            <td valign="top">
                <code>
                    feed.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    feed.url
                </code>
            </td>
            <td>
                <strong>
                    URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    feed.discoverable
                </code>
            </td>
            <td>
                <strong>
                    Is the feed URL discoverable?
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    feed.passwordProtected
                </code>
            </td>
            <td>
                <strong>
                    Is the feed protected by a password?
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    feed.asset
                </code>
            </td>
            <td>
                <strong>
                    Asset
                </strong>
                
                <p>
                        see <a href="#podlove-class-asset">{% capture tmp %}asset{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
</table> 

<a id="podlove-class-asset"></a>

#### Asset



<table>
    
        <tr>
            <td valign="top">
                <code>
                    asset.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    asset.downloadable
                </code>
            </td>
            <td>
                <strong>
                    Is the asset downloadable?
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    asset.fileType
                </code>
            </td>
            <td>
                <strong>
                    File type
                </strong>
                
                <p>
                        see <a href="#podlove-class-file_type">{% capture tmp %}file_type{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
</table> 

<a id="podlove-class-file"></a>

#### File



<table>
    
        <tr>
            <td valign="top">
                <code>
                    file.id
                </code>
            </td>
            <td>
                <strong>
                    File id
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file.episode
                </code>
            </td>
            <td>
                <strong>
                    Episode related to this file
                </strong>
                
                <p>
                        see <a href="#podlove-class-episode">{% capture tmp %}episode{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file.asset
                </code>
            </td>
            <td>
                <strong>
                    Asset related to this file
                </strong>
                
                <p>
                        see <a href="#podlove-class-asset">{% capture tmp %}asset{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file.size
                </code>
            </td>
            <td>
                <strong>
                    Size in bytes
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file.url
                </code>
            </td>
            <td>
                <strong>
                    URL
                </strong>
                {% capture tmp %}The real file URL. For public facing URLs, use`{% raw %}.publicUrl{% endraw %}`.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file.publicUrl
                </code>
            </td>
            <td>
                <strong>
                    Public URL
                </strong>
                {% capture tmp %}If tracking is active, this generates the tracking URL.
Otherwise, it's identical to`{% raw %}.url{% endraw %}`.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-duration"></a>

#### Duration



<table>
    
        <tr>
            <td valign="top">
                <code>
                    duration.hours
                </code>
            </td>
            <td>
                <strong>
                    Hours
                </strong>
                {% capture tmp %}0,1,2,…
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    duration.minutes
                </code>
            </td>
            <td>
                <strong>
                    Minutes
                </strong>
                {% capture tmp %}0,1,2,…,59
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    duration.seconds
                </code>
            </td>
            <td>
                <strong>
                    Seconds
                </strong>
                {% capture tmp %}0,1,2,…,59
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    duration.milliseconds
                </code>
            </td>
            <td>
                <strong>
                    Milliseconds
                </strong>
                {% capture tmp %}0,1,2,…,999
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    duration.totalMilliseconds
                </code>
            </td>
            <td>
                <strong>
                    The total duration in milliseconds
                </strong>
                {% capture tmp %}0,1,2,…
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-file_type"></a>

#### FileType



<table>
    
        <tr>
            <td valign="top">
                <code>
                    file_type.name
                </code>
            </td>
            <td>
                <strong>
                    Name
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file_type.type
                </code>
            </td>
            <td>
                <strong>
                    Type / group
                </strong>
                {% capture tmp %}One of those: audio, captions, chapters, ebook, image, metadata, video
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file_type.mimeType
                </code>
            </td>
            <td>
                <strong>
                    Mimetype
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    file_type.extension
                </code>
            </td>
            <td>
                <strong>
                    Extension
                </strong>
                
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-contributor"></a>

#### Contributor

{% capture tmp %}Requires the "Contributor" module.
{% endcapture %}
{{ tmp | markdownify }}

<table>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.visible
                </code>
            </td>
            <td>
                <strong>
                    Is the contributor public?
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.name
                </code>
            </td>
            <td>
                <strong>
                    Name
                </strong>
                {% capture tmp %}Public name of the contributor. If no public name is set,
it defaults to the real name.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.realname
                </code>
            </td>
            <td>
                <strong>
                    Real name
                </strong>
                {% capture tmp %}You should use`{% raw %}contributor.name{% endraw %}` as display name.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.nickname
                </code>
            </td>
            <td>
                <strong>
                    Nickname
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.id
                </code>
            </td>
            <td>
                <strong>
                    ID
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.publicname
                </code>
            </td>
            <td>
                <strong>
                    Public name
                </strong>
                {% capture tmp %}You should use`{% raw %}contributor.name{% endraw %}` as display name.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.role
                </code>
            </td>
            <td>
                <strong>
                    Contribution role
                </strong>
                {% capture tmp %}A role is only available for`{% raw %}episode.contributors{% endraw %}` and`{% raw %}podcast.contributors{% endraw %}`,
not if you access the global`{% raw %}contributors{% endraw %}` directly.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.group
                </code>
            </td>
            <td>
                <strong>
                    Contribution group
                </strong>
                {% capture tmp %}A group is only available for`{% raw %}episode.contributors{% endraw %}` and`{% raw %}podcast.contributors{% endraw %}`,
not if you access the global`{% raw %}contributors{% endraw %}` directly.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.comment
                </code>
            </td>
            <td>
                <strong>
                    Contribution comment
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.avatar
                </code>
            </td>
            <td>
                <strong>
                    Avatar image
                </strong>
                {% capture tmp %}Dimensions default to 50x50px.
Change it via parameter:`{% raw %}contributor.avatar(32){% endraw %}`

To render an HTML image tag:`{% raw %}{% include '@contributors/avatar.twig' with {'avatar': contributor.avatar} only %}{% endraw %}`
or`{% raw %}{% include '@contributors/avatar.twig' with {'avatar': contributor.avatar, 'size': 150} only %}{% endraw %}`
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.contactemail
                </code>
            </td>
            <td>
                <strong>
                    Email address for internal use
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.flattr
                </code>
            </td>
            <td>
                <strong>
                    Flattr username
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.flattr_url
                </code>
            </td>
            <td>
                <strong>
                    Flattr URL.
                </strong>
                {% capture tmp %}When on a WordPress page, it returns the URL for the person. Otherwise a
URL for that person _in this specific episode_ is generated.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.episodes
                </code>
            </td>
            <td>
                <strong>
                    Episodes with this contributor
                </strong>
                {% capture tmp %}Filter and order episodes with parameters:

- group: Filter by contribution group. Default: ''.
- role: Filter by contribution role. Default: ''.
- post_status: Publication status of the post. Defaults to 'publish'
- order: Designates the ascending or descending order of the 'orderby' parameter. Defaults to 'DESC'.
  - 'ASC' - ascending order from lowest to highest values (1, 2, 3; a, b, c).
  - 'DESC' - descending order from highest to lowest values (3, 2, 1; c, b, a).
- orderby: Sort retrieved episodes by parameter. Defaults to 'publicationDate'.
  - 'publicationDate' - Order by publication date.
  - 'recordingDate' - Order by recording date.
  - 'title' - Order by title.
  - 'slug' - Order by episode slug.
 - 'limit' - Limit the number of returned episodes.
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-episode">{% capture tmp %}episode{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor.services
                </code>
            </td>
            <td>
                <strong>
                    List of service profiles
                </strong>
                {% capture tmp %}Parameters:

- **category:** (optional) "social", "donation" or "all". Default: "all"
- **type:**     (optional) Filter services by type. List of all service types: 500px, about.me, amazon wishlist, app.net, auphonic credits, bandcamp, bitbucket, bitcoin, deviantart, diaspora, dogecoin, dribbble, email, facebook, flattr, flickr, foursquare, generic wishlist, github, gittip, google+, instagram, jabber, last.fm, linkedin, litecoin, openstreetmap, orcid, paypal, miiverse, pinboard, pinterest, playstation network, researchgate, scous, skype, soundcloud, soup, steam, steam wishlist, thomann wishlist, tumblr, twitch, twitter, vimeo, website, xbox live, xing, youtube

Example:

```html
{% raw %}
{% for service in contributor.services({category: "social"}) %}
  <a target="_blank" title="{{ service.title }}" href="{{ service.profileUrl }}">
    <img width="32" height="32" src="{{ service.logoUrl }}" class="podlove-contributor-button" alt="{{ service.title }}" />
  </a>
{% endfor %}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-contributor_group"></a>

#### ContributorGroup

{% capture tmp %}Requires the "Contributor" module.
{% endcapture %}
{{ tmp | markdownify }}

<table>
    
        <tr>
            <td valign="top">
                <code>
                    contributor_group.title
                </code>
            </td>
            <td>
                <strong>
                    Title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor_group.slug
                </code>
            </td>
            <td>
                <strong>
                    URL slug
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    contributor_group.contributors
                </code>
            </td>
            <td>
                <strong>
                    Contributors in this group.
                </strong>
                {% capture tmp %}Depending on context *all* contributors or just the contributors relevant to the current context.
{% endcapture %}
{{ tmp | markdownify }}
                <p>
                        see <a href="#podlove-class-contributor">{% capture tmp %}contributor{% endcapture %}
{{ tmp | markdownify }}</a>
                    </p>
            </td>
        </tr>
    
</table> 

<a id="podlove-class-service"></a>

#### Service

{% capture tmp %}Requires the "Social" module.
{% endcapture %}
{{ tmp | markdownify }}

<table>
    
        <tr>
            <td valign="top">
                <code>
                    service.title
                </code>
            </td>
            <td>
                <strong>
                    Service title
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    service.description
                </code>
            </td>
            <td>
                <strong>
                    Service description
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    service.profileUrl
                </code>
            </td>
            <td>
                <strong>
                    Service profile URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    service.rawValue
                </code>
            </td>
            <td>
                <strong>
                    Service value
                </strong>
                {% capture tmp %}Normally, you want to access the generates url via`{% raw %}profileUrl(){% endraw %}`.
But in case you need the raw user value, use this method.
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    service.logoUrl
                </code>
            </td>
            <td>
                <strong>
                    Logo URL
                </strong>
                
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-license"></a>

#### License



<table>
    
        <tr>
            <td valign="top">
                <code>
                    license.name
                </code>
            </td>
            <td>
                <strong>
                    Name
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    license.url
                </code>
            </td>
            <td>
                <strong>
                    URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    license.imageUrl
                </code>
            </td>
            <td>
                <strong>
                    Image URL
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    license.creativeCommons
                </code>
            </td>
            <td>
                <strong>
                    Is this a creative commons license?
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    license.valid
                </code>
            </td>
            <td>
                <strong>
                    Is the license valid? Is all required data available?
                </strong>
                
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-flattr"></a>

#### Flattr



<table>
    
        <tr>
            <td valign="top">
                <code>
                    flattr.button
                </code>
            </td>
            <td>
                <strong>
                    Flattr Button
                </strong>
                {% capture tmp %}**Parameters**

- **url:** URL of thing to flattr. Defaults to WordPress permalink.
- **style:** Button style."large", "compact" or "static". Default: "compact".
- **user:** Flattr user id. Defaults to Flattr account in podcast settings.

**Examples**

Simple button with defaults

```jinja
{% raw %}
{{ flattr.button }}
{% endraw %}
```

Large button

```jinja
{% raw %}
{{ flattr.button({ style: 'large' }) }}
{% endraw %}
```

Button for the Podlove Publisher plugin

```jinja
{% raw %}
{{ flattr.button({ user: 'ericteubert', url: 'http://wordpress.org/extend/plugins/podlove-podcasting-plugin-for-wordpress/' }) }}
{% endraw %}
```
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 

<a id="podlove-class-datetime"></a>

#### DateTime



<table>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.year
                </code>
            </td>
            <td>
                <strong>
                    Year
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.month
                </code>
            </td>
            <td>
                <strong>
                    Month number
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.day
                </code>
            </td>
            <td>
                <strong>
                    Day of the month
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.hours
                </code>
            </td>
            <td>
                <strong>
                    Hours of the day, 24h format
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.minutes
                </code>
            </td>
            <td>
                <strong>
                    Minutes of the current hour
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.seconds
                </code>
            </td>
            <td>
                <strong>
                    Seconds of the current minute
                </strong>
                
                
            </td>
        </tr>
    
        <tr>
            <td valign="top">
                <code>
                    datetime.format
                </code>
            </td>
            <td>
                <strong>
                    Custom time format
                </strong>
                {% capture tmp %}See [PHP date documentation](http://php.net/manual/en/function.date.php) for available formats
{% endcapture %}
{{ tmp | markdownify }}
                
            </td>
        </tr>
    
</table> 
